package com.xxfc.platform.tour.mapper;

import com.xxfc.platform.tour.entity.TourGoodSpePrice;
import com.xxfc.platform.tour.vo.TourDepartTimeVo;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 旅游商品规格价格表
 * 
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-06-06 11:41:51
 */
public interface TourGoodSpePriceMapper extends Mapper<TourGoodSpePrice> {

    List<TourDepartTimeVo>  getAllByGoodId(@Param("goodId") Integer goodId);

    //获取总库存
    Integer getTotalStock(@Param("goodId") Integer goodId);

    //减库存
    int updStockById(@Param("id") Integer id,@Param("number") Integer number,@Param("type") Integer type);

    //删除站点
    public int  delSpe(@Param("goodId")Integer goodId,@Param("list")List<Integer> ids);



}
